Author Topic: v5.30 Patch  (Read 6765 times)

0 Members and 1 Guest are viewing this topic.

Offline Steve Walmsley

  • Aurora Designer
  • Admiral of the Fleet
  • S
  • Posts: 7234
  • Thanked: 2383 times
    • http://www.starfireassistant.com
v5.30 Patch
« on: January 21, 2011, 09:15:41 AM »
Important! This is a database patch so if you upgrade you will lose your saved game. Don't upgrade if you want to keep playing the same campaign.

As I have been away for a couple of months and it will take me a while to get my head around the coding again, I am going to release the current version now rather than try and figure out what I was going to add. I haven't fixed every bug in the v5.20 thread so some may still be around. Please report them in the new v5.30 bug thread. As usual, please treat this as a beta release and don't put a lot of work into new campaigns for the next few days until I get chance to see initial bug reports. So that I can remain married :) I am going to be playing a little less over the next few months and should have some more time for Aurora, er... I mean my family of course :)

This patch can only be applied to version 4.2 or later. To apply the patch just unzip the Aurora530.7z file into the installation directory, overwriting two files.

http://www.pentarch.org/steve/Aurora530.7z (3.5Mb)

I have started using the 7-zip software, hence the 7z file extension, but winzip should be able to unzip it as well.

Steve
« Last Edit: March 10, 2011, 12:33:52 AM by Steve Walmsley »
 

Offline Beersatron

  • Rear Admiral
  • **********
  • Posts: 984
  • Thanked: 2 times
Re: v5.30 Patch
« Reply #1 on: January 21, 2011, 09:39:50 AM »
Egad!

I had only just started the setup for a 5.2 game :P
 

Offline Laurence

  • Warrant Officer, Class 1
  • *****
  • Posts: 78
Re: v5.30 Patch
« Reply #2 on: January 21, 2011, 09:42:46 AM »
Steve,
   The download link doesn't appear to be working yet. Getting this:

The page you requested is not available. /steve/Aurora530.zip Please check your URL and try again.

Looks like the link is in error, this seems to be working for:

http://www.pentarch.org/steve/Aurora530.7z

Laurence
« Last Edit: January 21, 2011, 09:48:49 AM by Laurence »
 

Offline Morganna

  • Leading Rate
  • *
  • Posts: 9
Re: v5.30 Patch
« Reply #3 on: January 21, 2011, 10:30:10 AM »
Just as I was starting to make some decent headway in a 5. 2 campaign, argh.  To update or not to update or not to update, that is the question. . .
 

Offline Steve Walmsley

  • Aurora Designer
  • Admiral of the Fleet
  • S
  • Posts: 7234
  • Thanked: 2383 times
    • http://www.starfireassistant.com
Re: v5.30 Patch
« Reply #4 on: January 21, 2011, 11:31:12 AM »
I just tried the link and it worked. Erik or another moderator may have corrected it in the meantime though.

Steve
 

Offline Texashawk

  • Warrant Officer, Class 1
  • *****
  • T
  • Posts: 87
Re: v5.30 Patch
« Reply #5 on: January 21, 2011, 09:43:45 PM »
Steve (or anyone who knows)

Are there any major new features in this patch or is just a 'fix and database' update?

Also, off topic, but I can never seem to make changing task groups 'stick'. I always put the ships I want to move in the hierarchy correctly, and I change their task force in the dropdown box, but it never seems to change. Is there a trick to that?

Steve H.
 

Offline sloanjh

  • Global Moderator
  • Admiral of the Fleet
  • *****
  • Posts: 2730
  • Thanked: 66 times
Re: v5.30 Patch
« Reply #6 on: January 22, 2011, 12:15:19 AM »
Also, off topic, but I can never seem to make changing task groups 'stick'. I always put the ships I want to move in the hierarchy correctly, and I change their task force in the dropdown box, but it never seems to change. Is there a trick to that?

This is a known issue - the dropdown doesn't work.  Instead, you should use the organization (4th?) tab and create a TG from the appropriate spot in the hierarchy.

John
 

Offline Hawkeye

  • Vice Admiral
  • **********
  • Posts: 1043
  • Thanked: 2 times
Re: v5.30 Patch
« Reply #7 on: January 22, 2011, 12:23:17 AM »
Ralph Hoenig, Germany
 

Offline Adamfostas

  • Leading Rate
  • *
  • A
  • Posts: 9
Re: v5.30 Patch
« Reply #8 on: January 22, 2011, 12:44:32 PM »
I've started a Conventional game using this patch, and a lot of advanced engines are available to research as racial techs.  Is this intended?
 

Offline Brian

  • Vice Admiral
  • **********
  • Posts: 1214
  • Thanked: 2 times
Re: v5.30 Patch
« Reply #9 on: January 22, 2011, 12:54:05 PM »
I've started a Conventional game using this patch, and a lot of advanced engines are available to research as racial techs.  Is this intended?
I got the same problem.  When opening Aurora up I got an error 76, and then no problem.  Once I created my first game I found a bunch of advanced tech as reasearchable for specific systems.  I did not have the background tech.  They were mostly invader stuff, a variety of weapons and engines.  I then created a second game which did not have these racial techs available.

Brian
 

Offline Adamfostas

  • Leading Rate
  • *
  • A
  • Posts: 9
Re: v5.30 Patch
« Reply #10 on: January 22, 2011, 01:51:40 PM »
Quote from: Brian link=topic=3179. msg30748#msg30748 date=1295722445
I got the same problem.   When opening Aurora up I got an error 76, and then no problem.   Once I created my first game I found a bunch of advanced tech as reasearchable for specific systems.   I did not have the background tech.   They were mostly invader stuff, a variety of weapons and engines.   I then created a second game which did not have these racial techs available.

Brian
I'll have to start a second game now too - in my first game I ran out of Corundium, which would've been fine as I had loads of automated mines - but I couldn't build any freighters because of that shortage.  Even though the design didn't require any Corundium. . .
 

Offline sloanjh

  • Global Moderator
  • Admiral of the Fleet
  • *****
  • Posts: 2730
  • Thanked: 66 times
Re: v5.30 Patch
« Reply #11 on: January 23, 2011, 09:00:37 AM »
Two problems:

1)  Any chance of going back to *.zip files?  I don't have Winzip on my machine, and Windows7 doesn't seem to be able to unzip it.  I managed to install 7zip on my machine, but the unzipping process is still a lot more cumbersome.

2)  The unzipped Aurora can't find the unzipped Stevefire, even though I put them both in the Aurora executable directory.  Is there a chance that you (Steve) changed the path to Stevefire in the executable before you zipped it?  (I don't understand why others wouldn't be hitting the same problem though if you had.)  The only other thing I can think of is something got corrupted in the *.mdb when I unzipped it using 7zip (although the executable seems ok since it was able to start).

#2 is a fairly bad error - I had to log out in order to avoid the seemingly-infinite parade of Error 91s.

Thanks,
John
« Last Edit: January 23, 2011, 09:21:39 AM by sloanjh »
 

Offline ardem

  • Commodore
  • **********
  • a
  • Posts: 774
  • Thanked: 17 times
Re: v5.30 Patch
« Reply #12 on: January 23, 2011, 10:08:03 PM »
You sure on this and not a bad download.

I had no issues extracting and putting it into my aurora directory. I also have windows 7.

I may have 7zip installed, it has now become a standard to have 7z  instead of zip, as zip is really now commercial and 7z free.

I actually like 7z better myself, zip was getting to be a bit bloatware.
 

Offline Texashawk

  • Warrant Officer, Class 1
  • *****
  • T
  • Posts: 87
Re: v5.30 Patch
« Reply #13 on: January 27, 2011, 07:11:18 PM »
So my original question still stands: What's changed?  :P

Steve
 

Offline voknaar

  • Lt. Commander
  • ********
  • Posts: 201
Re: v5.30 Patch
« Reply #14 on: January 27, 2011, 08:10:01 PM »
So my original question still stands: What's changed?  :P

Steve

Apart from fixes you'll probably have to find out for yourself - sometimes in the form of nasty, unexpected surprises.
 

 

Sitemap 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54